Name:          linux-firmware
Version:       20220509
Release:       1mamba
Summary:       Collection of firmware files used by the Linux Kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/
#Source:        https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/snapshot/linux-firmware-%{version}.tar.gz
Source:        git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/main/linux-firmware-%{version}.tar.bz2
Patch0:        linux-firmware-20210208-brcmfmac43455-sdio.raspberrypi-fix-boardflags3.patch
License:       Distributable
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Provides:      iwlwifi-firmware
Obsoletes:     iwlwifi-firmware < 20210719
Provides:      rt2860-firmware
Obsoletes:     rt2860-firmware < 20210719
Provides:      rt2870-firmware
Obsoletes:     rt2870-firmware < 20210719
Provides:      radeon-firmware
Obsoletes:     radeon-firmware < 20210719
Provides:      rt2501-firmware
Obsoletes:     rt2501-firmware < 20210719
Provides:      linux_firmware
Provides:      linux-firmware-extra
Obsoletes:     linux-firmware-extra < 20210719

%description
Collection of firmware files used by the Linux Kernel.

%prep
%setup -q
#%patch0 -p1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   FIRMWAREDIR=%{_prefix}/lib/firmware

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ ! -L /lib -a ! -L /lib/firmware ]; then
   # Migrate /lib/firmware to /usr/lib/firmware
   [ -e /usr/lib/firmware ] && mv /usr/lib/firmware{,.rpmold}
   mv /lib/firmware /usr/lib/firmware
   if [ -e /usr/lib/firmware.rpmold ]; then
      mv /usr/lib/firmware.rpmold/* /usr/lib/firmware/ || true
      rmdir /usr/lib/firmware.rpmold || true
   fi
fi
:

%posttrans
if [ ! -L /lib -a ! -e /lib/firmware ]; then
   # make /lib/firmware symlink to /usr/lib/firmware
   ln -s ../usr/lib/firmware /lib/firmware
fi
:

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/firmware
%{_prefix}/lib/firmware/*

%changelog
* Tue May 10 2022 Automatic Build System <autodist@mambasoft.it> 20220509-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20220411-1mamba
- update to 20220411

* Sun Jan 02 2022 Automatic Build System <autodist@mambasoft.it> 20220101-1mamba
- automatic version update by autodist

* Sun Dec 19 2021 Automatic Build System <autodist@mambasoft.it> 20211216-1mamba
- automatic version update by autodist

* Thu Dec 02 2021 Automatic Build System <autodist@mambasoft.it> 20211202-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 20211027-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 20210919-1mamba
- automatic version update by autodist

* Mon Aug 23 2021 Automatic Build System <autodist@mambasoft.it> 20210818-1mamba
- automatic version update by autodist

* Tue Aug 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210719-2mamba
- migrate from /lib/firmware to /usr/lib/firmware and add /lib/firmware symlink

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 20210719-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 20210716-1mamba
- automatic version update by autodist

* Wed Jul 07 2021 Automatic Build System <autodist@mambasoft.it> 20210628-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 20210518-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 20210511-1mamba
- automatic version update by autodist

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 20210405-1mamba
- automatic version update by autodist

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 20210315-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210208-2mamba
- patch to revert setting for boardflags3 value in brcmfmac43455-sdio.raspberrypi files because not working on tested models

* Thu Feb 11 2021 Automatic Build System <autodist@mambasoft.it> 20210208-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 20201218.646f159-1mamba
- automatic version update by autodist

* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 20201120.bc9cd0b-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 20201113.2ea8667-1mamba
- automatic version update by autodist

* Sun Oct 25 2020 Automatic Build System <autodist@mambasoft.it> 20201023.dae4b4c-1mamba
- automatic version update by autodist

* Sat Oct 03 2020 Automatic Build System <autodist@mambasoft.it> 20200916.00a84c5-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 20200817.7a30af1-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Automatic Build System <autodist@mambasoft.it> 20200721.2b823fc-1mamba
- automatic version update by autodist

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 20200619.e96c121-1mamba
- automatic version update by autodist

* Fri May 29 2020 Automatic Build System <autodist@mambasoft.it> 20200519.8ba6fa6-1mamba
- automatic version update by autodist

* Sun Apr 26 2020 Automatic Build System <autodist@mambasoft.it> 20200421.78c0348-1mamba
- automatic version update by autodist

* Sat Apr 04 2020 Automatic Build System <autodist@mambasoft.it> 20200316.8eb0b28-1mamba
- automatic version update by autodist

* Wed Mar 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20200224.efcfa03-2mamba
- arm: provide again brcm/brcmfmac43430-sdio.bin, removed from raspberrypi-firmware (to be checked)

* Wed Mar 04 2020 Automatic Build System <autodist@mambasoft.it> 20200224.efcfa03-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 20200204.b791e15-1mamba
- automatic version update by autodist

* Mon Feb 03 2020 Automatic Build System <autodist@mambasoft.it> 20200122.1eb2408-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 20191220.6871bff-1mamba
- automatic version update by autodist

* Wed Dec 18 2019 Automatic Build System <autodist@mambasoft.it> 20191215.eefb5f7-1mamba
- automatic version update by autodist

* Sat Dec 07 2019 Automatic Build System <autodist@mambasoft.it> 20191118.e8a0f4c-1mamba
- automatic version update by autodist

* Fri Oct 25 2019 Automatic Build System <autodist@mambasoft.it> 20191022.2b016af-1mamba
- automatic version update by autodist

* Tue Oct 01 2019 Automatic Build System <autodist@mambasoft.it> 20190923.417a9c6-1mamba
- automatic version update by autodist

* Sun Aug 18 2019 Automatic Build System <autodist@mambasoft.it> 20190815.07b925b-1mamba
- automatic version update by autodist

* Tue Jul 23 2019 Automatic Build System <autodist@mambasoft.it> 20190717.bf13a71-1mamba
- automatic version update by autodist

* Tue Jul 16 2019 Automatic Build System <autodist@mambasoft.it> 20190712.d52556e-1mamba
- automatic version update by autodist

* Sun Jul 07 2019 Automatic Build System <autodist@mambasoft.it> 20190628.70e4394-1mamba
- automatic version update by autodist

* Mon Jun 24 2019 Automatic Build System <autodist@mambasoft.it> 20190618.acb56f2-1mamba
- automatic version update by autodist

* Mon May 20 2019 Automatic Build System <autodist@mambasoft.it> 20190514.711d329-1mamba
- automatic version update by autodist

* Tue Apr 30 2019 Automatic Build System <autodist@mambasoft.it> 20190424.4b6cf2b-1mamba
- automatic version update by autodist

* Fri Mar 15 2019 Automatic Build System <autodist@mambasoft.it> 20190313.efd2c1c-1mamba
- automatic version update by autodist

* Fri Feb 15 2019 Automatic Build System <autodist@mambasoft.it> 20190212.28f5f7d-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 20190118.a8b75ca-1mamba
- automatic version update by autodist

* Thu Dec 20 2018 Automatic Build System <autodist@mambasoft.it> 20181218.0f22c85-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 20181216.211de16-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 20181026.1cb4e51-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 20181018.d877533-1mamba
- automatic version update by autodist

* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 20180825.fea76a0-1mamba
- automatic version update by autodist

* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 20180821.1d17c18-1mamba
- automatic version update by autodist

* Fri Aug 17 2018 Automatic Build System <autodist@mambasoft.it> 20180815.f1b95fe-1mamba
- automatic version update by autodist

* Tue Jul 31 2018 Automatic Build System <autodist@mambasoft.it> 20180717.8d69bab-1mamba
- automatic version update by autodist

* Mon Jun 18 2018 Automatic Build System <autodist@mambasoft.it> 20180606.d114732-1mamba
- automatic version update by autodist

* Fri May 25 2018 Automatic Build System <autodist@mambasoft.it> 20180518.2a9b2cf-1mamba
- automatic version update by autodist

* Sat May 12 2018 Automatic Build System <autodist@mambasoft.it> 20180507.8fc2d4e-1mamba
- automatic version update by autodist

* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 20180416.b562d2f-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 20180314.4c0bf11-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 20180119.2a713be-1mamba
- automatic version update by autodist

* Fri Dec 22 2017 Automatic Build System <autodist@mambasoft.it> 20171206.fdee922-2mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 20171206.fdee922-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 20171009.bf04291-1mamba
- automatic version update by autodist

* Wed Sep 13 2017 Automatic Build System <autodist@mambasoft.it> 20170907.a61ac5c-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 20170622.7d2c913-1mamba
- automatic version update by autodist

* Thu Mar 16 2017 Automatic Build System <autodist@mambasoft.it> 20170309.695f2d6-1mamba
- automatic version update by autodist

* Thu Mar 09 2017 Automatic Build System <autodist@mambasoft.it> 20170227.5abb924-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 20170217.12987ca-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 20161222.4b9559f-1mamba
- automatic version update by autodist

* Wed Nov 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 20161005.9c71af9-2mamba
- arm: remove brcmfmac43430-sdio.bin conflicting with raspberrypi-firmware

* Tue Oct 11 2016 Automatic Build System <autodist@mambasoft.it> 20161005.9c71af9-1mamba
- automatic version update by autodist

* Wed Sep 21 2016 Automatic Build System <autodist@mambasoft.it> 20160915.c4c07a8-2mamba
- automatic version update by autodist

* Wed Sep 21 2016 Automatic Build System <autodist@mambasoft.it> 20160915.c4c07a8-1mamba
- automatic version update by autodist

* Wed Aug 03 2016 Automatic Build System <autodist@mambasoft.it> 20160730.6bc2c60-1mamba
- automatic version update by autodist

* Wed Jun 08 2016 Automatic Build System <autodist@mambasoft.it> 20160516.80d463b-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 20160315.deb1d83-2mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 20160315.deb1d83-1mamba
- automatic version update by autodist

* Wed Feb 03 2016 Automatic Build System <autodist@mambasoft.it> 20160113.40e9ae8-1mamba
- automatic version update by autodist

* Mon Jan 04 2016 Automatic Build System <autodist@mambasoft.it> 20151207.bbe4917-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20150904.6ebf5d5-2mamba
- integrate extra subpackage to make a single package

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 20150904.6ebf5d5-1mamba
- automatic version update by autodist

* Tue Sep 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20150527.3161bfa-2mamba
- rebuilt with 3.18

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 20150527.3161bfa-1mamba
- automatic version update by autodist

* Sat Mar 07 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20150206.17657c3-2mamba
- rebuilt to fix running vs installed kernel mismatch problem  (add check)

* Mon Feb 09 2015 Automatic Build System <autodist@mambasoft.it> 20150206.17657c3-1mamba
- automatic version update by autodist

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 20141201.38e5405-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 20141009.0e5f637-1mamba
- automatic version update by autodist

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 20140828.13eb208-1mamba
- automatic version update by autodist

* Mon Jun 23 2014 Automatic Build System <autodist@mambasoft.it> 20140603.a4f3bc0-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 20140316.dec41bc-1mamba
- automatic version update by autodist

* Mon Feb 24 2014 Automatic Build System <autodist@mambasoft.it> 20140217.343e460-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Automatic Build System <autodist@mambasoft.it> 20140123.418320b-1mamba
- automatic version update by autodist

* Wed Jan 15 2014 Automatic Build System <autodist@mambasoft.it> 20131230.52d77db-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 20131013.7d0c7a8-1mamba
- automatic version update by autodist

* Tue Sep 17 2013 Automatic Build System <autodist@mambasoft.it> 20130903-1mamba
- automatic version update by autodist

* Mon Jul 29 2013 Automatic Build System <autodist@mambasoft.it> 20130725-1mamba
- automatic version update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 20130610-1mamba
- automatic version update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 20130528-1mamba
- automatic version update by autodist

* Thu May 09 2013 Automatic Build System <autodist@mambasoft.it> 20130430-1mamba
- automatic version update by autodist

* Thu Apr 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130414git-2mamba
- move from extra to main ar3k microcode files required by ath3k-1.fw
- move from extra to main symlinked files

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130414git-1mamba
- update to 20130414git

* Thu Nov 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20121122-1mamba
- update to 0.0.git20121122

* Sun Sep 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20120908-2mamba
- rebuilt with kernel 3.4

* Sat Sep 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20120908-1mamba
- update to 0.0.git20120908

* Fri Feb 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20120202-3mamba
- iwlagn: move some firmwares from -extra to main package

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20120202-2mamba
- rebuilt for 3.2

* Thu Feb 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20120202-1mamba
- update to 0.0.git20120202

* Tue Sep 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.git20110821-2mamba
- rebuilt with kernel 3.0

* Sun Aug 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0-1mamba
- package created by autospec
http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-100-ucode-39.31.5.1.tgz
